﻿/*
* sample script to call prune_oo_data
*
*
*   USAGE EXAMPLE:
*
*        mysql -u database_user database < mysql_oo_execute_prune_run_history.sql
*/

/******************************************************************************
** modify parameters below to suit your needs.
**
** See "Appendix E: Performance Implications" of the documentation
** for guidlines
******************************************************************************/

/* The number of hours to keep in run_history. Anything older than this many
   hours will be removed from the database.
*/
SET @keep_this_many_hours = 336; -- keep 2 weeks worth of data


/* batch size. deletes will be commited to the database for this many rows */
SET @batch_size = 1000;


/* prune dashboards. If set to 'true', information will be removed from the
 * log_record table. See "About the OO 7.50 Run schema and tables" in the
 * documentation for further details.
*/
SET @prune_dashboards = 'true';


/* verbose. Higher numbers will produce more detailed output. 2 is the
 * highest level at the moment
*/
SET @verbose = 2;



/*****************************************************************************/


call prune_oo_data(@keep_this_many_hours, @batch_size, @prune_dashboards, @verbose);